<!DOCTYPE html>

<html data-ng-app="spot" ng-strict-di>

<head>
    <meta charset="utf-8">

    <link rel="stylesheet" href="../../assets/bootstrap/css/bootstrap.css">
    <!--<link rel="stylesheet" href="../../assets/bootstrap/css/bootstrap.min.css">-->
    <link rel="stylesheet" href="../../assets/css/custom.min.css">
    <link type="text/less" href="../../assets/less/scaffolding.less">
    <link type="text/less" href="../../assets/less/normalize.less">
    <link type="text/less" href="../../assets/less/tables.less">
    <link rel="stylesheet" href="spot.css">
</head>

<body ng-controller="SpotController">
    <div class="table-responsive" id="spot-view">
        <table class="table table-striped jambo_table bulk_action" id="spot_table">
            <thead>
                <tr class="headings">
                    <th class="column-title">Spot </th>
                    <th class="column-title">Date </th>
                    <th class="column-title">Action </th>
                    </th>
                </tr>
            </thead>

            <tbody id="spot_table_body">
                <tr class="even pointer" ng-repeat="spot in spots track by $index">
                    <td>{{spot.name}}
                    </td>
                    <td>{{spot.date}}
                    </td>
                    <td colspan="3">
                        <!--<input type="hidden" id="hidden" name="country" value={{spot.spot_id}}>-->
                        <input type="image" src="../../assets/images/Icon_edit.png" name="edit_spot" width="23.25" height="28" ng-click="modifySpot(spot.spot_id)">
                        <input type="image" src="../../assets/images/Icon_view.png" name="view_spot" width="23.25" height="28" style="margin-left:25px; margin-right:25px;">
                        <input type="image" src="../../assets/images/Icon_delete.png" name="delete_spot" width="23.25" height="28" data-toggle="modal" data-target=".bs-example-modal-sm" ng-click="openModal(spot.spot_id, $index)">
                    </td>
                </tr>
            </tbody>
        </table>
        <div class="modal fade bs-example-modal-sm" tabindex="-1" role="dialog" aria-hidden="true" style="display: none;">
            <div class="modal-dialog modal-sm">
                <div class="modal-content">

                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span>
                          </button>
                        <h4 class="modal-title" id="myModalLabel2">Delete Spot</h4>
                    </div>
                    <div class="modal-body">
                        <h4>Do you want to delete this spot?</h4>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                        <button type="button" class="btn btn-primary" ng-click="deleteSpot()" data-dismiss="modal">OK</button>
                    </div>

                </div>
            </div>
        </div>
        <meta charset="utf-8" />
    </div>
    <div class="row">
        <div class="col-md-4 col-md-offset-4" id="insertDivBottom">
            <button id="insertSpot" ng-click="insertNewSpot()">
            <div id="insertDiv">Insert</div>
        </button>
        </div>
    </div>
    <script src="../../assets/jquery/jquery.min.js"></script>
    <script src="../../assets/angular/angular.js"></script>
    <script src="../../assets/angular/angular.min.js"></script>
    <script src="spot.module.js"></script>
    <script src="spot.directive.js"></script>
    <script src="../../assets/bootstrap/js/bootstrap.min.js"></script>

</body>